# Method: projects.locations.rollouts.list

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#body.ListRolloutsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#body.aspect)
- [Examples](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#examples)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts/list#try-it)

Retrieve the list of all rollouts.

### HTTP request

`GET https://gkehub.googleapis.com/v1beta/{parent=projects/*/locations/*}/rollouts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of rollout. Format: projects/{project}/locations/{location} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of rollout to return. The service may return fewer than this value. If unspecified, at most 50 rollouts will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `rollouts.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `rollouts.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Lists Rollouts that match the filter expression, following the syntax outlined in <https://google.aip.dev/160>. |

### Request body

The request body must be empty.

### Response body

Response message for listing rollouts.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rollouts": [ { object (`https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts#Rollout`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `rollouts[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.rollouts#Rollout`)`` The rollouts from the specified parent resource. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).